← Tabeller
Tøm

Scotland

Caledonia North Region League Division 2

#LagPWDLPDBPPtsForm
1Aberdeenshire RFC7700+333735WWWWW
2Shetland RFC6402+76420WWLL
3Highland 3rd XV5302+3517WLWLW
4North Police Scotland6303+31416LLWWL
5Garioch RFC5302+29214LLWWW
6Banff RFC5203+6027LWLWL
7Stornoway RFC7106-12730LLWLL
8Aberdeen Grammar Rugby 2nd XV5005-40510LLLL

Kilde: Scottish Rugby · sjekket 18. okt., 16:20 · Form: de fem siste resultatene vi har, nyeste til høyre.

Kamper og resultater →

Hver tabell er ligaens egen publiserte stilling, med bonuspoeng, trekk og rangeringsregler. BP vises der ligaen publiserer det; ellers er det allerede med i Pts.